PLplot: XwDev Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
XwDev Struct Reference

`#include "plxwd.h"`

## Public Attributes
XwDisplay * | xwd
int | is_main
Window | window
Pixmap | pixmap
GC | gc
XColor | curcolor
long | event_mask
int | exit_eventloop
long | init_width
long | init_height
unsigned | width
unsigned | height
unsigned | border
double | xscale_init
double | yscale_init
double | xscale
double | yscale
short | xlen
short | ylen
int | write_to_window
int | write_to_pixmap
int | instr
int | max_instr
PLGraphicsIn | gin
int | locate_mode
int | drawing_xhairs
XPoint | xhair_x [2]
XPoint | xhair_y [2]
void(* | MasterEH )(PLStream *, XEvent *)
XColor | bgcolor

## Detailed Description

Definition at line 69 of file plxwd.h.

## Member Data Documentation

XColor XwDev::bgcolor

Definition at line 109 of file plxwd.h.

unsigned XwDev::border

Definition at line 84 of file plxwd.h.

XColor XwDev::curcolor

Definition at line 77 of file plxwd.h.

int XwDev::drawing_xhairs

Definition at line 102 of file plxwd.h.

long XwDev::event_mask

Definition at line 79 of file plxwd.h.

int XwDev::exit_eventloop

Definition at line 80 of file plxwd.h.

GC XwDev::gc

Definition at line 76 of file plxwd.h.

PLGraphicsIn XwDev::gin

Definition at line 99 of file plxwd.h.

unsigned XwDev::height

Definition at line 84 of file plxwd.h.

long XwDev::init_height

Definition at line 82 of file plxwd.h.

long XwDev::init_width

Definition at line 81 of file plxwd.h.

int XwDev::instr

Definition at line 96 of file plxwd.h.

int XwDev::is_main

Definition at line 73 of file plxwd.h.

int XwDev::locate_mode

Definition at line 101 of file plxwd.h.

void( * XwDev::MasterEH)(PLStream *, XEvent *)

Definition at line 105 of file plxwd.h.

int XwDev::max_instr

Definition at line 97 of file plxwd.h.

Pixmap XwDev::pixmap

Definition at line 75 of file plxwd.h.

unsigned XwDev::width

Definition at line 84 of file plxwd.h.

Window XwDev::window

Definition at line 74 of file plxwd.h.

int XwDev::write_to_pixmap

Definition at line 94 of file plxwd.h.

int XwDev::write_to_window

Definition at line 93 of file plxwd.h.

XPoint XwDev::xhair_x[2]

Definition at line 103 of file plxwd.h.

XPoint XwDev::xhair_y[2]

Definition at line 103 of file plxwd.h.

short XwDev::xlen

Definition at line 91 of file plxwd.h.

double XwDev::xscale

Definition at line 88 of file plxwd.h.

double XwDev::xscale_init

Definition at line 86 of file plxwd.h.

XwDisplay* XwDev::xwd

Definition at line 71 of file plxwd.h.

short XwDev::ylen

Definition at line 91 of file plxwd.h.

double XwDev::yscale

Definition at line 89 of file plxwd.h.

double XwDev::yscale_init

Definition at line 87 of file plxwd.h.

The documentation for this struct was generated from the following file:

- plxwd.h